### Method

# Gimp Config deserialize_parasite

since: 3.0

#### Declaration [src]

    gboolean
    gimp_config_deserialize_parasite (
      GimpConfig* config,
      const GimpParasite* parasite,
      gpointer data,
      GError** error
    )

#### Description [src]

Configures `config` from `parasite`. Basically this function creates a properly configured `GScanner` for you and calls the deserialize function of the `config`‘s `GimpConfigInterface`.

Available since: 3.0

#### Parameters

`parasite`

  Type: `GimpParasite`

  Parasite containing a serialized config string.

  The data is owned by the caller of the method.

`data`

  Type: `gpointer`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if deserialization succeeded, `FALSE` otherwise.